diff -r -u vorbis-tools-1.0/ogginfo/ogginfo2.c vorbis-tools-1.0-new/ogginfo/ogginfo2.c
--- vorbis-tools-1.0/ogginfo/ogginfo2.c	2002-07-19 10:26:54.000000000 +0400
+++ vorbis-tools-1.0-new/ogginfo/ogginfo2.c	2003-07-13 13:32:47.000000000 +0400
@@ -373,19 +373,20 @@
 static void vorbis_end(stream_processor *stream) 
 {
     misc_vorbis_info *inf = stream->data;
-    long minutes, seconds;
+    long minutes, seconds, milliseconds;
     double bitrate, time;
 
     time = (double)inf->lastgranulepos / inf->vi.rate;
     minutes = (long)time / 60;
     seconds = (long)time - minutes*60;
+    milliseconds = (long)((time - minutes*60 - seconds)*1000);
     bitrate = inf->bytes*8 / time / 1000.0;
 
     info(_("Vorbis stream %d:\n"
            "\tTotal data length: %ld bytes\n"
-           "\tPlayback length: %ldm:%02lds\n"
+           "\tPlayback length: %ldm:%02ld.%03lds\n"
            "\tAverage bitrate: %f kbps\n"), 
-            stream->num,inf->bytes, minutes, seconds, bitrate);
+            stream->num,inf->bytes, minutes, seconds, milliseconds, bitrate);
 
     vorbis_comment_clear(&inf->vc);
     vorbis_info_clear(&inf->vi);
